Package Details: flycheck 30-1

Git Clone URL: https://aur-dev.archlinux.org/flycheck.git (read-only)
Package Base: flycheck
Description: Modern on-the-fly syntax checking extension for GNU Emacs
Upstream URL: http://www.flycheck.org/
Licenses: GPL
Submitter: holos
Maintainer: youngunix
Last Packager: youngunix
Votes: 3
Popularity: 0.000207
First Submitted: 2014-08-17 05:47
Last Updated: 2017-02-04 22:01

Latest Comments

haawda commented on 2017-02-04 20:05

I wasnot refering to the build issues with my comment. If someone uses SRCDEST in makepkg.conf to point to a special directory for all sources, it may happen that there is a file 30.taz.gz from another project totally unrelated to flyspell. Therefore it is good practice to rename such short named files.

youngunix commented on 2017-02-04 19:45

Version naming was not the issue.
Wouldn't build with 'skip' for sha256sums, generated one locally!
Other build errors fixed!

package builds successfully now.

haawda commented on 2017-02-03 04:06

It is good practice to rename a version-number-only tarball to something more speaking using the :: syntax, e.g.
source=("$pkgname-$pkgver.tar::https://github.com/flycheck/flycheck/archive/$pkgver.tar.gz")

dncrash commented on 2017-02-02 08:38

==> Making package: flycheck 0.30-1 (Thu Feb 2 10:32:46 EET 2017)
==> Retrieving sources...
-> Found 30.tar.gz
==> Validating source files with sha256sums...
30.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!
:: failed to verify flycheck integrity

Installation fails due to the error above.

youngunix commented on 2016-11-26 23:58

Thank you for pointing out the issue.
Download source issue fixed, try it now.

factorion commented on 2016-11-22 16:44

Source needs to be updated to http://stable.melpa.org/packages/flycheck-30.tar, package currently fails downloading source from github.

haawda commented on 2016-06-08 16:19

Tha install file can go away, as pacman hooks do this job now.

youngunix commented on 2016-04-03 06:23

You are missing "seq" which is part of the "coreutils" package. Install it and try again. If you do get this error "flycheck.el:74:13:Error: Cannot open load file: no such file or directory, let-alist", I'm still working on which set includes "let-alist" (I'm assuming haskell).

lobzilla commented on 2016-03-31 13:49

My build is failing with the error below. Is there a package dependency missing?

==> Extracting sources...
-> Extracting 0.25.tar.gz with bsdtar
==> Starting build()...

In toplevel form:
flycheck.el:79:1:Error: Cannot open load file: no such file or directory, seq
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build flycheck.
==> Restart building flycheck ? [y/N]

PreparationH67 commented on 2015-08-29 18:43

Can you add emacs-let-alist as a dependency, did not have it and the build failed.

All comments